.b-configurator-nav {
  position: relative;
  background: #fff;
}
.b-configurator-nav__wrap {
  position: relative;
  border-left: 1px solid var(--line-color);
  border-right: 1px solid var(--line-color);
  padding: 2rem 0 2.5rem;
  margin: 0 9rem;
}
@media all and (max-width: 768px) {
  .b-configurator-nav__wrap {
    margin: 0 1.5rem;
  }
}
.b-configurator-nav__nav {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  z-index: 16;
}
.b-configurator-nav__nav-link {
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  text-align: center;
  color: var(--font-color-dark2);
}
.b-configurator-nav__nav-link.active {
  color: var(--font-color-major);
}
.b-configurator-nav__nav-link.active div:before {
  display: block;
}
.b-configurator-nav__nav-link div {
  display: inline-block;
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  text-align: center;
  position: relative;
  text-decoration: none;
  font-size: 2rem;
  font-weight: 800;
  color: inherit;
  padding: 0 0 4px;
}
.b-configurator-nav__nav-link div:before {
  display: none;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 3px;
  background: var(--font-color-major);
  content: "";
}
.b-configurator-nav__nav-link div:hover {
  color: var(--font-color-dark);
}
@media all and (max-width: 1024px) {
  .b-configurator-nav__nav-link div {
    font-size: 1.75rem;
  }
}
@media all and (max-width: 768px) {
  .b-configurator-nav__nav-link div {
    font-size: 1.5rem;
  }
}
@media all and (max-width: 480px) {
  .b-configurator-nav__nav-link div {
    font-size: 0.9rem;
  }
  .b-configurator-nav__nav-link div:before {
    height: 2px;
  }
}

.b-configurator-sidebar__section + .b-configurator-sidebar__section {
  margin: 1rem 0 0;
  padding: 1rem 0 0;
  border-top: 1px solid var(--font-color-major);
}
.b-configurator-sidebar__header {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: start;
  -moz-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
}
.b-configurator-sidebar__design {
  font-size: 1.25rem;
  font-weight: 400;
}
.b-configurator-sidebar__title {
  font-size: 1.75rem;
  color: var(--font-color-major);
  font-weight: 700;
}
.b-configurator-sidebar__goback {
  cursor: pointer;
  text-align: right;
  font-size: 0.9rem;
  color: var(--font-color-dark);
  text-decoration: underline;
}
.b-configurator-sidebar__select {
  text-align: left;
  font-size: 0.9rem;
  color: var(--font-color-dark);
}
.b-configurator-sidebar__select span {
  display: block;
}
.b-configurator-sidebar__select-catalog {
  cursor: pointer;
  text-decoration: underline;
}
.b-configurator-sidebar__select-upload {
  display: inline;
  cursor: pointer;
  text-decoration: underline;
}
.b-configurator-sidebar__select-upload input {
  display: none;
}
.b-configurator-sidebar__select.error {
  color: red;
}
.b-configurator-sidebar__dimenstion {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.5rem;
  margin: 0 0 0.75rem;
}
.b-configurator-sidebar__col label {
  display: block;
  font-size: 0.9rem;
  color: var(--font-color-dark);
  margin: 0 0 6px;
}
.b-configurator-sidebar__col input {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background: none;
  border: 1px solid var(--font-color-dark);
  font-size: 1rem;
  color: #000;
  padding: 0 1rem;
  height: 2rem;
  width: 100%;
}
.b-configurator-sidebar__col input.error {
  border: 1px solid red;
}
.b-configurator-sidebar__footnote {
  font-size: 0.9rem;
  color: var(--font-color-dark);
}
.b-configurator-sidebar__footnote a {
  color: inherit;
}
.b-configurator-sidebar__button {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  cursor: pointer;
  background: none;
  border: 1px solid var(--font-color-major);
  font-size: 1.25rem;
  color: var(--font-color-major);
  text-align: center;
  padding: 0 2rem;
  height: 3rem;
  text-decoration: none;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
  width: 100%;
  margin: 0 0 1rem;
}
.b-configurator-sidebar__button_red {
  border: 1px solid red;
  color: red;
}
.b-configurator-sidebar__button_red:hover {
  background: red !important;
  color: #fff;
}
.b-configurator-sidebar__button_dark {
  color: #fff;
  background: var(--font-color-major);
}
.b-configurator-sidebar__button.hide {
  display: none;
}
.b-configurator-sidebar__button:hover {
  color: #fff;
  background: var(--font-color-dark);
  border: 1px solid var(--font-color-dark);
}
.b-configurator-sidebar__button:last-child {
  margin-bottom: 0;
}
.b-configurator-sidebar__option {
  position: relative;
  display: block;
  min-height: 1rem;
  vertical-align: middle;
  padding-left: 1.5rem;
  margin: 0.4rem 0;
  font-size: 1.25rem;
}
.b-configurator-sidebar__option input.error + label {
  color: red;
}
.b-configurator-sidebar__option input.error + label:after {
  border: 1px solid red;
}
.b-configurator-sidebar__option input {
  position: absolute;
  opacity: 0;
  z-index: -1;
  padding: 0;
}
.b-configurator-sidebar__option input:checked ~ label:before {
  background: #000;
}
.b-configurator-sidebar__option label {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  width: 100%;
  cursor: pointer;
  margin-bottom: 0;
  font-weight: 500;
}
.b-configurator-sidebar__option label:before {
  position: absolute;
  top: 0.355rem;
  left: 0.255rem;
  display: block;
  width: 0.5rem;
  height: 0.5rem;
  pointer-events: none;
  content: "";
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -moz-border-radius: 100%;
  border-radius: 100%;
  z-index: 3;
}
.b-configurator-sidebar__option label:after {
  position: absolute;
  top: 0.1rem;
  left: 0;
  display: block;
  width: 1rem;
  height: 1rem;
  content: "";
  border: 1px solid #000;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -moz-border-radius: 100%;
  border-radius: 100%;
  background: #fff;
  z-index: 1;
}
.b-configurator-sidebar__option label {
  color: var(--font-color-major);
}
.b-configurator-sidebar__sizes {
  font-weight: 500;
}
.b-configurator-sidebar__material {
  position: relative;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  min-height: 1rem;
  vertical-align: middle;
  font-size: 1.25rem;
  font-weight: 500;
  margin: 0 0 2rem;
}
.b-configurator-sidebar__cost {
  position: relative;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  font-size: 1.25rem;
  color: var(--font-color-major);
  white-space: nowrap;
  font-weight: 500;
}
.b-configurator-sidebar__cost span {
  font-size: 1rem;
}
.b-configurator-sidebar__cost div {
  display: inline-block;
}
.b-configurator-sidebar__cost sup {
  font-size: 0.75rem;
}
.b-configurator-sidebar__info {
  display: inline-block;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 1rem;
  height: 1rem;
  margin: 0 0 0 0.5rem;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAMAAAC6V+0/AAAAaVBMVEUAAAAAAAcWFhkAAAcAAAcAAAcyMjIAAAcAAAcAAAcAAAcAAAcAAAcAAAcAAAcAAAcAAAcAAAcyMjIyMjIyMjIyMjIyMjIAAAcyMjIAAAcyMjIAAAcyMjIAAAcAAAcyMjIAAAcyMjIyMjLE3Zn0AAAAInRSTlMABQ/k17p3VyNk/t6vXjgJwJki7t3MZmAz9ruwmZaPVUCqx8F0bgAAAMFJREFUGNN1UUkSwyAMcyDQkEAWsjZ7+f8jawzk0JnqIDPC8ggDhMxoXr4rbTJ48KqEKrKmUKJ6QWzr8hsi7rwLzUfLkC8pJyysPcibo7YMbhjcyFDNcULDa7xZRwswuR2PNW/ACPAu5rlfPQsDWkHC4qQvSgMvkjb1O9WCQ5nySidjxPIRLWlRTPbFXQDJrk2y23hQm4/0AzFTeMKHZlL48ExKPiKFZyLOllRLzNozrY4mkBdX93fJ1DzTd2xzaPsCXmEIXKgD6oIAAAAASUVORK5CYII=") 50% 50%;
  -moz-background-size: 100%;
  background-size: 100%;
}
.b-configurator-sidebar__hint {
  position: relative;
  display: inline-block;
}
.b-configurator-sidebar__hint.show .b-configurator-sidebar__text {
  display: block;
}
.b-configurator-sidebar__text {
  display: none;
  position: absolute;
  bottom: 100%;
  left: 50%;
  font-size: 0.8rem;
  width: 24rem;
  padding: 0.5rem 1rem;
  z-index: 5;
  background: #fff;
  -webkit-box-shadow: 0 0 10px 0 rgba(83, 83, 83, 0.5);
  -moz-box-shadow: 0 0 10px 0 rgba(83, 83, 83, 0.5);
  box-shadow: 0 0 10px 0 rgba(83, 83, 83, 0.5);
  -moz-border-radius: 10px 10px 10px 0;
  border-radius: 10px 10px 10px 0;
  -webkit-transform: translateY(-0.25rem);
  -moz-transform: translateY(-0.25rem);
  -ms-transform: translateY(-0.25rem);
  transform: translateY(-0.25rem);
}
.b-configurator-sidebar__close {
  position: absolute;
  right: 1rem;
  top: 0.25rem;
}
.b-configurator-sidebar__close:after {
  position: absolute;
  font-size: 0.8rem;
  width: 0.5rem;
  height: 0.5rem;
  font-weight: 600;
  content: "x";
}
.b-configurator-sidebar__properties {
  margin: 0 0 1rem;
}
.b-configurator-sidebar__properties table {
  width: 100%;
}
.b-configurator-sidebar__properties table td {
  padding: 0.1rem 0;
}
.b-configurator-sidebar__properties table td:first-child {
  padding-right: 1.5rem;
  font-size: 1.2rem;
  font-weight: 700;
}
.b-configurator-sidebar__properties table td:last-child {
  font-size: 0.9rem;
  color: var(--font-color-dark);
  text-align: right;
}
.b-configurator-sidebar__checkbox {
  position: relative;
  display: block;
  min-height: 1rem;
  line-height: 1rem;
  vertical-align: middle;
  padding-left: 1.3rem;
  margin: 0.4rem 0;
}
.b-configurator-sidebar__checkbox input.error + label:after {
  border: 2px solid #F42F2F;
}
.b-configurator-sidebar__checkbox input {
  position: absolute;
  opacity: 0;
  z-index: -1;
  padding: 0;
}
.b-configurator-sidebar__checkbox input:checked ~ label:before {
  border-top: 2px solid #000;
  border-right: 3px solid #000;
}
.b-configurator-sidebar__checkbox input:checked ~ label:after {
  border-color: #000;
}
.b-configurator-sidebar__checkbox label {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  width: 100%;
  cursor: pointer;
  margin-bottom: 0;
  font-size: 1.2rem;
  font-weight: 700;
  color: var(--font-color-major);
}
.b-configurator-sidebar__checkbox label .b-configurator-sidebar__cost {
  padding: 0 0 0 10px;
}
.b-configurator-sidebar__checkbox label:before {
  position: absolute;
  top: 1px;
  left: 2px;
  display: block;
  width: 0.75rem;
  height: 0.5rem;
  border-top: 2px solid transparent;
  border-right: 3px solid transparent;
  border-bottom: 2px solid transparent;
  border-left: 2px solid transparent;
  pointer-events: none;
  content: "";
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transform: rotateZ(130deg);
  -moz-transform: rotateZ(130deg);
  -ms-transform: rotate(130deg);
  transform: rotateZ(130deg);
  z-index: 3;
}
.b-configurator-sidebar__checkbox label:after {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 1rem;
  height: 1rem;
  content: "";
  border: 2px solid #000;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  background: #fff;
  z-index: 1;
}
.b-configurator-sidebar__total {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  margin: 0 0 2rem;
  font-size: 1.75rem;
  font-weight: 700;
}
.b-configurator-sidebar__total span:first-child {
  font-size: 1.25rem;
}
.b-configurator {
  padding: 3rem 0;
  background: #fff;
}
.b-configurator__box {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.b-configurator__left {
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.b-configurator__left_flex {
  gap: 1.5rem;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
.b-configurator__left_flex .b-configurator__frame {
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.b-configurator__right {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 24rem;
  padding: 0 1rem 0 0;
  margin: 0 0 0 1.5rem;
}
.b-configurator__frame {
  width: 100%;
  min-height: 15rem;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAQMAAAAlPW0iAAAAA3NCSVQICAjb4U/gAAAABlBMVEXMzMz////TjRV2AAAACXBIWXMAAArrAAAK6wGCiw1aAAAAHHRFWHRTb2Z0d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAABFJREFUCJlj+M/AgBVhF/0PAH6/D/HkDxOGAAAAAElFTkSuQmCC") 0 0 repeat;
}
.b-configurator__frame img {
  display: block;
  max-width: 100%;
  height: auto;
}
.b-configurator__frame img.hide {
  display: none;
}
.b-configurator__crop {
  width: 100%;
  min-height: 200px;
}
.b-configurator__crop img {
  display: block;
  max-width: 100%;
  height: auto;
}
.b-configurator__crop img.hide {
  display: none;
}
.b-configurator__crop canvas.hide {
  display: none;
}
.b-configurator__crop canvas.hide + .b-configurator__scena {
  display: none;
}
.b-configurator__tabs {
  position: relative;
  z-index: 15;
}
.b-configurator__tab {
  display: none;
}
.b-configurator__tab.active {
  display: block;
}
.b-configurator__scena-size {
  margin: 10px 0;
}
.b-configurator__scena-design {
  margin: 10px 0;
}
.b-configurator__final {
  position: relative;
  overflow: hidden;
  margin: 0 0 0.5rem;
  padding: 0 0 10px 0;
}
.b-configurator__final img {
  position: relative;
  display: block;
  max-width: 100%;
  height: auto;
  z-index: 0;
}
.b-configurator__button {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  cursor: pointer;
  background: none;
  border: 1px solid var(--font-color-major);
  font-size: 1.25rem;
  color: var(--font-color-major);
  text-align: center;
  padding: 0 2rem;
  height: 3rem;
  text-decoration: none;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
  width: 100%;
  margin: 0 0 1rem;
}
.b-configurator__button_red {
  border: 1px solid red;
  color: red;
}
.b-configurator__button_red:hover {
  background: red !important;
  color: #fff;
}
.b-configurator__button_dark {
  color: #fff;
  background: var(--font-color-major);
}
.b-configurator__button.hide {
  display: none;
}
.b-configurator__button:hover {
  color: #fff;
  background: var(--font-color-dark);
  border: 1px solid var(--font-color-dark);
}
.b-configurator__button:last-child {
  margin-bottom: 0;
}
.b-configurator__lines {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 1000px;
  z-index: 5;
}
.b-configurator__lines div {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 0px;
  border-right: 1px dashed cyan;
}
.b-configurator__lines div:nth-child(2) {
  left: 100px;
}
.b-configurator__lines div:nth-child(3) {
  left: 200px;
}
.b-configurator__lines div:nth-child(4) {
  left: 300px;
}
.b-configurator__lines div:nth-child(5) {
  left: 400px;
}
.b-configurator__lines div:nth-child(6) {
  left: 500px;
}
.b-configurator__lines div:nth-child(7) {
  left: 600px;
}
.b-configurator__lines div:nth-child(8) {
  left: 700px;
}
.b-configurator__lines div:nth-child(9) {
  left: 800px;
}
.b-configurator__lines div:nth-child(10) {
  left: 900px;
}
.b-configurator__cut-line.hide {
  display: none;
}
.b-configurator__cut-caption {
  margin: 0 0 0.5rem;
  text-align: center;
  color: var(--font-color-dark);
  font-size: 0.7rem;
}
.b-configurator__cut-row {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0 0 10px;
}
.b-configurator__cut-row span {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  font-size: 0.7rem;
  line-height: 0.6rem;
  color: var(--font-color-dark);
}
.b-configurator__cut-row input[type=number] {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background: none;
  border: 1px solid var(--font-color-dark);
  font-size: 0.9rem;
  color: #000;
  padding: 0 0 0 0.5rem;
  height: 1.75rem;
  width: 3rem;
  margin: 0 0.5rem;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  text-align: center;
}
.b-configurator__cut-left {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-negative: 0;
  flex-shrink: 0;
}
.b-configurator__cut-center {
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.b-configurator__cut-right {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-negative: 0;
  flex-shrink: 0;
}
.b-configurator #offset-cut {
  display: block;
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  -webkit-appearance: none;
  width: 100%;
  height: 1.75rem;
  background: #eee;
  outline: none;
  -webkit-transition: 0.2s;
  -webkit-transition: opacity 0.2s;
  -moz-transition: opacity 0.2s;
  transition: opacity 0.2s;
}
.b-configurator #offset-cut::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 1rem;
  height: 1.75rem;
  background: var(--font-color-major);
  cursor: pointer;
}
.b-configurator #offset-cut::-moz-range-thumb {
  width: 1rem;
  height: 1.75rem;
  background: var(--font-color-major);
  cursor: pointer;
}
@media all and (max-width: 1024px) {
  .b-configurator {
    padding: 1rem 1rem 3rem;
  }
  .b-configurator__box {
    display: block;
  }
  .b-configurator__left {
    width: 100%;
    margin: 0 0 30px;
  }
  .b-configurator__right {
    width: 100%;
    margin: 0;
    padding: 0;
  }
}